Summary: An attractive astronomical ephemeris program for X Windows
Name: xephem
# Actual version 3.7.6
Version: 3.7.6
Release: 1%{?dist}
License: Distributable, see Copyright file for details.  NOT GPL!
Group: Applications/Scientific
# Packager: tim pickering <tim@mmto.org>
# Distribution: tim's RPM shack
Source0: http://www.clearskyinstitute.com/xephem/xephem-3.7.5.tar.gz
Source1: XEphem.desktop
Source2: XEphem.png
Source3: v3.4-catalogs.tar.bz2
Patch0: xephem.patch
URL: http://www.clearskyinstitute.com/xephem/xephem.html
BuildRoot: %{_tmppath}/xephem
Provides: perl(cgi-lib.pl)

BuildRequires: libX11-devel, lesstif-devel, libXmu-devel
BuildRequires: groff, zlib, libpng

%description
XEphem is an interactive astronomical ephemeris program for X Windows
systems with OpenMotif. It provides many graphical views as well as
quantitative heliocentric, geocentric and topocentric information for
Earth satellites, solar system and deep-sky objects.  

%prep
%setup -a3 -n xephem-3.7.5
%patch0 -p1

%build
cd libastro
make
cd ../libip
make
cd ../liblilxml
make
cd ../libjpegd
make
cd ../GUI/xephem
%ifarch x86_64
cat Makefile | sed -e "s#lib/libXm#lib64/libXm#g" > Makefile.new
mv Makefile.new Makefile
%endif
#xmkmf
make
cd tools/lx200xed
make

%install
XS=GUI/xephem
XL=$RPM_BUILD_ROOT/usr/share/xephem

mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/xephem
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps

cp $RPM_SOURCE_DIR/XEphem.desktop $RPM_BUILD_ROOT/usr/share/applications/.
cp $RPM_SOURCE_DIR/XEphem.png $RPM_BUILD_ROOT/usr/share/pixmaps/.
cp *.edb $XS/catalogs/

install -s -m 755 $XS/xephem $RPM_BUILD_ROOT/usr/bin/xephem
install -s -m 755 $XS/tools/lx200xed/lx200xed $RPM_BUILD_ROOT/usr/bin/lx200xed

rm -f $XS/tools/lx200xed/lx200xed
rm -f $XS/tools/lx200xed/*.o

install -m 644 $XS/xephem.man $RPM_BUILD_ROOT/usr/share/man/man1/xephem.1x

install -d -m 755 $XL/auxil
rm -f $XL/auxil/xephem_skyhist
install -d -m 755 $XL/catalogs
install -d -m 755 $XL/fifos
install -d -m 755 $XL/fits
install -d -m 755 $XL/tools
install -d -m 755 $XL/lo
install -m 644 $XS/auxil/*		$XL/auxil
install -m 644 $XS/catalogs/*		$XL/catalogs
install -m 644 $XS/fifos/*		$XL/fifos
cp -a			 $XS/tools/*		$XL/tools/.
cp -a			 $XS/lo/*		$XL/lo/.

echo "XEphem.ShareDir: /usr/share/xephem" > $RPM_BUILD_ROOT/usr/share/X11/app-defaults/XEphem

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}


%files
%defattr(-,root,root)
%doc Copyright
%doc INSTALL
%doc README
/usr/bin/xephem
/usr/bin/lx200xed
/usr/share/man/man1/xephem.1x.gz
/usr/share/xephem
/usr/share/X11/app-defaults/XEphem
/usr/share/applications/*
/usr/share/pixmaps/XEphem.png

%changelog
* Fri Feb  1 2013 J. Randall Owens <jrowens@rs3.ghiapet.net> - 3.7.6-1
- update to version 3.7.6

* Thu Aug 25 2011 J. Randall Owens <jrowens@ghiapet.net> - 3.7.5-1
- update to 3.7.5 release

* Fri Jan 28 2011 J. Randall Owens <jrowens@ghiapet.net> - 3.7.4.99.12-1
- update to 3.7.5-RC12

* Fri Dec 17 2010 J. Randall Owens <jrowens@ghiapet.net> - 3.7.4.99.11-1
- update to 3.7.5-RC11

* Mon Aug  9 2010 J. Randall Owens <jrowens@ghiapet.net> - 3.7.4.99.9-1
- update to 3.7.5-RC9

* Sat Jul 24 2010 J. Randall Owens <jrowens@ghiapet.net> - 3.7.4.99.8-1
- update to 3.7.5-RC8

* Sun Jun 13 2010 J. Randall Owens <jrowens@ghiapet.net> - 3.7.4.99.7-1
- try version 3.7.5-RC7

* Sun Jun 13 2010 J. Randall Owens <jrowens@ghiapet.net> - 3.7.4-1
- update to version 3.7.4
- rebuild for GhiaPet/Fedora 13

* Tue Dec 29 2009 J. Randall Owens <jrowens@ghiapet.net> - 3.7.2-5
- add left-out BuildRequires

* Thu Aug 09 2007 tim pickering <tim@mmto.org>
- update to 3.7.2

* Mon May 15 2006 tim pickering <tim@mmto.org>
- build under FC 5

* Tue Feb  7 2006 tim pickering <tim@mmto.org>
- update to 3.7.1

* Tue Aug 16 2005 tim pickering <tim@mmto.org>
- update to 3.7

* Wed Jun 22 2005 tim pickering <tim@mmto.org>
- update to 3.6.4

* Sun Feb 20 2005 tim pickering <tim@mmto.org>
- update to 3.6.3

* Wed Oct 20 2004 tim pickering <tim@mmto.org>
- update to 3.6.1; build under FC 3

* Mon Aug 16 2004 tim pickering <tim@mmto.org>
- update to 3.6; build under FC 2

* Fri Jan 23 2004 tim pickering <tim@mmto.org>
- build under FC 1

* Fri Aug 22 2003 tim pickering <tim@mmto.org>
- build under RH 9

* Mon Sep 30 2002 tim pickering <tim@mmto.org>
- build under RH 8.0

* Mon Feb 04 2002 <tim@as.arizona.edu>
- New version 3.5.2

* Sun Oct 21 2001 <ckulesa@as.arizona.edu>
- New version 3.5

* Thu Dec 7 2000 <ckulesa@as.arizona.edu>
- New version 3.4
- Redhat 7.0 and 6.x support
- Built dynamically against OpenMotif 2.1.30 (Redhat 7.0 Powertools)
- Discontinued use of wmconfig in favor of GNOME and KDE desktop links
- New PNG and XPM icons for GNOME and KDE
- Now shares "Astro" desktop folder with Tim Pickering's IRAF packages

* Thu Apr 13 2000 <ckulesa@as.arizona.edu>
- Linked against Lesstif 0.89.9
- Redhat 6.2 version
- Uses wmconfig for automatic desktop entries

* Mon Nov 1 1999 <ckulesa@as.arizona.edu>
- RPM-ification
- Statically linked against Lesstif 0.86
